<div class="row">
    <div class="col-md-12 mb-4">
        <button data-toggle="modal" data-target="#addNewBrand" (click)="createBrandForm()" type="button"
            class="btn btn-sm btn-custom" data-backdrop="static" data-keyboard="false">Add New
            Brand</button>
    </div>
</div>
<div class="card shadow mb-4">
    <div class="card-body p-4">
        <form class="user filterForm pb-4" [formGroup]="filterForm">
            <div class="form-group row">
                <div *ngIf="userRole == ADMIN" class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="company" class="form-control dropdown"
                        (change)="getBrands()">
                        <option value="" selected>Select Company</option>
                        <option *ngFor="let company of companies" value="{{company.company_id}}">{{company.name}}
                        </option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0" *ngIf="userRole == ADMIN">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th *ngIf="userRole == ADMIN">Company</th>
                        <th>Added By</th>
                        <th>Added On</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let brand of brands | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td><a [routerLink]="">{{brand.brand_name}}</a></td>
                        <td *ngIf="userRole == ADMIN">{{brand.company}}</td>
                        <td>{{brand.created_by}}</td>
                        <td>{{brand.created_on}}</td>
                        <td>
                            <span><a [routerLink]="" data-toggle="modal" data-target="#addNewBrand"
                                    (click)="editBrand(brand)"><i class="fa fa-edit mr-2"
                                        aria-hidden="true"></i></a></span>
                        </td>
                    </tr>
                    <tr *ngIf="brands==''">
                        <td colspan="5" class="text-center">No Records Found.</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="brands!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>


<!-----------Add New Company Form Modal------------------------>
<div id="addNewBrand" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add New Brand</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditBrand()" [formGroup]="NewBrandForm">
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <input [ngClass]="{ 'is-invalid': submitted && formControls.brand_name.errors }"
                                formControlName="brand_name" type="text" class="form-control form-control-user"
                                id="company" placeholder="Brand Name">
                            <div *ngIf="submitted && formControls.brand_name.errors" class="errors">
                                <div *ngIf="formControls.brand_name.errors.required">Brand Name is required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-2 mb-3 mb-sm-0">
                        </div>
                        <div class="col-sm-8 mb-3 mb-sm-0">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>